# Retrieve offboarding list

GET https://api.letsdeel.com/rest/v2/offboarding/tracker

Retrieve offboarding list
 **Token scopes**: `contracts:read`, `people:read`

Reference: https://developer.deel.com/api/reference/endpoints/offboarding/retrieve-offboarding-list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /offboarding/tracker:
    get:
      operationId: retrieve-offboarding-list
      summary: Retrieve offboarding list
      description: |-
        Retrieve offboarding list
         **Token scopes**: `contracts:read`, `people:read`
      tags:
        - subpackage_offboarding
      parameters:
        - name: search
          in: query
          description: Search term to filter contracts by name or other attributes
          required: false
          schema:
            type: string
        - name: hiring_types
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: >-
                #/components/schemas/OffboardingTrackerGetParametersHiringTypesSchemaItems
        - name: progress_statuses
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: >-
                #/components/schemas/OffboardingTrackerGetParametersProgressStatusesSchemaItems
        - name: limit
          in: query
          description: Number of results to return per page
          required: false
          schema:
            type: integer
            default: 20
        - name: sort_by
          in: query
          description: Field to sort by
          required: false
          schema:
            $ref: '#/components/schemas/OffboardingTrackerGetParametersSortBy'
        - name: sort_order
          in: query
          description: Sorting order
          required: false
          schema:
            $ref: '#/components/schemas/OffboardingTrackerGetParametersSortOrder'
        - name: pagination
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OffboardingTrackerGetParametersPagination'
        - name: include_overview
          in: query
          description: Include an overview of the contract
          required: false
          schema:
            type: boolean
            default: false
        - name: ignore_date_range
          in: query
          description: Ignore the default 45-day date range and retrieve all terminations
          required: false
          schema:
            type: boolean
            default: false
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved list of offboarding
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Offboarding_retrieveOffboardingList_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    OffboardingTrackerGetParametersHiringTypesSchemaItems:
      type: string
      enum:
        - contractor
        - employee
      description: Hiring type (e.g., contractor, employee)
      title: OffboardingTrackerGetParametersHiringTypesSchemaItems
    OffboardingTrackerGetParametersProgressStatusesSchemaItems:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - ONBOARDING
      description: Progress status of the contract
      title: OffboardingTrackerGetParametersProgressStatusesSchemaItems
    OffboardingTrackerGetParametersSortBy:
      type: string
      enum:
        - progressStatusWeight
      default: progressStatusWeight
      title: OffboardingTrackerGetParametersSortBy
    OffboardingTrackerGetParametersSortOrder:
      type: string
      enum:
        - ASC
        - DESC
      default: ASC
      title: OffboardingTrackerGetParametersSortOrder
    OffboardingTrackerGetParametersPagination:
      type: object
      properties:
        contractId:
          type: string
          description: Contract ID for pagination
        effectiveDate:
          type: string
          format: date-time
          description: Effective date for pagination
        referenceDate:
          type: string
          format: date-time
          description: Reference date for pagination
        progressStatusWeight:
          type: integer
          description: Progress status weight for pagination
      title: OffboardingTrackerGetParametersPagination
    OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsContract:
      type: object
      properties:
        id:
          type: string
          description: The contract ID associated with the individual.
      title: >-
        OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsContract
    OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsProgress:
      type: object
      properties:
        status:
          type: string
          description: >-
            The current status of the offboarding process (e.g.,
            OFFBOARDING_IN_PROGRESS).
        reference_date:
          type: string
          description: >-
            The reference date for the offboarding status (e.g., the termination
            date).
        reference_date_type:
          type: string
          description: The type of reference date (e.g., END_DATE).
        reference_date_timezone:
          type:
            - string
            - 'null'
          description: The timezone of the reference date.
      title: >-
        OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsProgress
    OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsHrisProfile:
      type: object
      properties:
        oid:
          type: string
          description: The object ID for the HRIS profile of the individual.
      title: >-
        OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsHrisProfile
    OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsAppExperience:
      type: object
      properties:
        is_minimal_requirements:
          type: boolean
          description: >-
            Indicates whether the individual meets the minimal experience
            requirements for the role.
      title: >-
        OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsAppExperience
    OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        name:
          type: string
          description: The name of the individual associated with the offboarding.
        contract:
          $ref: >-
            #/components/schemas/OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsContract
        progress:
          $ref: >-
            #/components/schemas/OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsProgress
        unique_id:
          type: string
          description: A unique identifier for the offboarding item.
        hiring_type:
          type: string
          description: The hiring type for the individual (e.g., contractor).
        hris_profile:
          $ref: >-
            #/components/schemas/OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsHrisProfile
        app_experience:
          $ref: >-
            #/components/schemas/OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItemsAppExperience
        termination_id:
          type:
            - string
            - 'null'
          description: The termination ID if the individual has been terminated.
        offboarding_type:
          type: string
          description: The type of offboarding (e.g., ENDING_CONTRACT, TERMINATION).
      title: OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItems
    OffboardingTrackerGetResponsesContentApplicationJsonSchemaPage:
      type: object
      properties:
        cursor:
          type:
            - string
            - 'null'
          description: Cursor for pagination to fetch the next page of contractors
        total_rows:
          type: integer
          description: The total number of contractors available
      title: OffboardingTrackerGetResponsesContentApplicationJsonSchemaPage
    Offboarding_retrieveOffboardingList_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/OffboardingTrackerGetResponsesContentApplicationJsonSchemaDataItems
          description: A list of offboarding items.
        page:
          $ref: >-
            #/components/schemas/OffboardingTrackerGetResponsesContentApplicationJsonSchemaPage
      title: Offboarding_retrieveOffboardingList_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/offboarding/tracker"

querystring = {"search":"John Doe","hiring_types":"[\"contractor\"]","progress_statuses":"[\"ACTIVE\"]","limit":"50","sort_by":"progressStatusWeight","sort_order":"DESC","include_overview":"false","ignore_date_range":"false"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/offboarding/tracker?search=John+Doe&hiring_types=%5B%22contractor%22%5D&progress_statuses=%5B%22ACTIVE%22%5D&limit=50&sort_by=progressStatusWeight&sort_order=DESC&include_overview=false&ignore_date_range=false';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/offboarding/tracker?search=John+Doe&hiring_types=%5B%22contractor%22%5D&progress_statuses=%5B%22ACTIVE%22%5D&limit=50&sort_by=progressStatusWeight&sort_order=DESC&include_overview=false&ignore_date_range=false"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/offboarding/tracker?search=John+Doe&hiring_types=%5B%22contractor%22%5D&progress_statuses=%5B%22ACTIVE%22%5D&limit=50&sort_by=progressStatusWeight&sort_order=DESC&include_overview=false&ignore_date_range=false")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/offboarding/tracker?search=John+Doe&hiring_types=%5B%22contractor%22%5D&progress_statuses=%5B%22ACTIVE%22%5D&limit=50&sort_by=progressStatusWeight&sort_order=DESC&include_overview=false&ignore_date_range=false")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/offboarding/tracker?search=John+Doe&hiring_types=%5B%22contractor%22%5D&progress_statuses=%5B%22ACTIVE%22%5D&limit=50&sort_by=progressStatusWeight&sort_order=DESC&include_overview=false&ignore_date_range=false', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/offboarding/tracker?search=John+Doe&hiring_types=%5B%22contractor%22%5D&progress_statuses=%5B%22ACTIVE%22%5D&limit=50&sort_by=progressStatusWeight&sort_order=DESC&include_overview=false&ignore_date_range=false");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/offboarding/tracker?search=John+Doe&hiring_types=%5B%22contractor%22%5D&progress_statuses=%5B%22ACTIVE%22%5D&limit=50&sort_by=progressStatusWeight&sort_order=DESC&include_overview=false&ignore_date_range=false")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```